Skip to main content
GET
/
api
/
v1
/
customer
/
{chain}
/
blocks
/
receipts
Get Block Receipts
curl --request GET \
  --url https://api-gateway.sonarx.com/api/v1/customer/{chain}/blocks/receipts \
  --header 'apikey: <api-key>'
{
  "block_number": 81901165,
  "offset": 0,
  "limit": 10,
  "result": [
    {
      "block_number": 81901165,
      "timestamp": 1768922302,
      "datetime": "2026-01-20T15:18:22",
      "transaction_hash": "0x6a9cb0071fe44d7cf50962bc9ea05dfe45662d34c71f4f8b12fb3918f62f9692",
      "transaction_index": 0,
      "cumulative_gas_used": 124608,
      "gas_used": 124608,
      "contract_address": null,
      "status": false,
      "effective_gas_price": 1227576058762,
      "version": 0
    },
    {
      "block_number": 81901165,
      "timestamp": 1768922302,
      "datetime": "2026-01-20T15:18:22",
      "transaction_hash": "0xffac055a26c586c5007fb6218dd74296468eacf7491b9ac8f5c83060c4cefe53",
      "transaction_index": 1,
      "cumulative_gas_used": 164131,
      "gas_used": 39523,
      "contract_address": null,
      "status": true,
      "effective_gas_price": 958895963074,
      "version": 0
    }
  ],
  "count": 2
}

Documentation Index

Fetch the complete documentation index at: https://docs.sonarx.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

API key for authentication. Contact SonarX to obtain your API key.

Path Parameters

chain
enum<string>
required

The blockchain network to query

Available options:
polygon
Example:

"polygon"

Query Parameters

block_number
integer
required

Block number to query (>= 0)

Required range: x >= 0
Example:

81901165

limit
integer
default:10

Maximum number of results (1-50)

Required range: 1 <= x <= 50
offset
integer
default:0

Number of results to skip for pagination

Required range: x >= 0

Response

Block receipts

block_number
integer
offset
integer
limit
integer
result
object[]
count
integer